diff --git a/arch/arm/dts/stm32mp13-pinctrl.dtsi b/arch/arm/dts/stm32mp13-pinctrl.dtsi
index 6a7ae14477..3f1085f7e1 100644
--- a/arch/arm/dts/stm32mp13-pinctrl.dtsi
+++ b/arch/arm/dts/stm32mp13-pinctrl.dtsi
@@ -6,102 +6,23 @@
 #include <dt-bindings/pinctrl/stm32-pinfunc.h>
 
 &pinctrl {
-	adc1_usb_cc_pins_a: adc1-usb-cc-pins-0 {
-		pins {
-			pinmux = <STM32_PINMUX('F', 12, ANALOG)>, /* ADC1 in6 */
-				 <STM32_PINMUX('A', 3, ANALOG)>; /* ADC1 in12 */
-		};
-	};
-
-	dcmipp_pins_a: dcmi-0 {
-		pins1 {
-			pinmux = <STM32_PINMUX('H',  8,  AF13)>,/* DCMI_HSYNC */
-				 <STM32_PINMUX('G',  9,  AF13)>,/* DCMI_VSYNC */
-				 <STM32_PINMUX('B',  7,  AF14)>,/* DCMI_PIXCLK */
-				 <STM32_PINMUX('A',  9,  AF13)>,/* DCMI_D0 */
-				 <STM32_PINMUX('D',  0,  AF13)>,/* DCMI_D1 */
-				 <STM32_PINMUX('G', 10,  AF13)>,/* DCMI_D2 */
-				 <STM32_PINMUX('E',  4,  AF13)>,/* DCMI_D3 */
-				 <STM32_PINMUX('D', 11,  AF14)>,/* DCMI_D4 */
-				 <STM32_PINMUX('D',  3,  AF13)>,/* DCMI_D5 */
-				 <STM32_PINMUX('B',  8,  AF13)>,/* DCMI_D6 */
-				 <STM32_PINMUX('E', 14,  AF13)>;/* DCMI_D7 */
-			bias-disable;
-		};
-	};
-
-	dcmipp_sleep_pins_a: dcmi-sleep-0 {
-		pins1 {
-			pinmux = <STM32_PINMUX('H',  8,  ANALOG)>,/* DCMI_HSYNC */
-				 <STM32_PINMUX('G',  9,  ANALOG)>,/* DCMI_VSYNC */
-				 <STM32_PINMUX('B',  7,  ANALOG)>,/* DCMI_PIXCLK */
-				 <STM32_PINMUX('A',  9,  ANALOG)>,/* DCMI_D0 */
-				 <STM32_PINMUX('D',  0,  ANALOG)>,/* DCMI_D1 */
-				 <STM32_PINMUX('G', 10,  ANALOG)>,/* DCMI_D2 */
-				 <STM32_PINMUX('E',  4,  ANALOG)>,/* DCMI_D3 */
-				 <STM32_PINMUX('D', 11,  ANALOG)>,/* DCMI_D4 */
-				 <STM32_PINMUX('D',  3,  ANALOG)>,/* DCMI_D5 */
-				 <STM32_PINMUX('B',  8,  ANALOG)>,/* DCMI_D6 */
-				 <STM32_PINMUX('E', 14,  ANALOG)>;/* DCMI_D7 */
-		};
-	};
-
-	dfsdm_clkout_pins_a: dfsdm-clkout-pins-0 {
-		pins {
-			pinmux = <STM32_PINMUX('C', 3, AF3)>; /* DFSDM_CKOUT */
-			bias-disable;
-			drive-push-pull;
-			slew-rate = <0>;
-		};
-	};
-
-	dfsdm_clkout_sleep_pins_a: dfsdm-clkout-sleep-pins-0 {
-		pins {
-			pinmux = <STM32_PINMUX('C', 3, ANALOG)>; /* DFSDM_CKOUT */
-		};
-	};
-
-	dfsdm_datin1_pins_a: dfsdm-datin1-pins-0 {
-		pins {
-			pinmux = <STM32_PINMUX('B', 1, AF6)>; /* DFSDM_DATIN1 */
-		};
-	};
-
-	dfsdm_datin1_sleep_pins_a: dfsdm-datin1-sleep-pins-0 {
-		pins {
-			pinmux = <STM32_PINMUX('B', 1, ANALOG)>; /* DFSDM_DATIN1 */
-		};
-	};
-
-	dfsdm_datin3_pins_a: dfsdm-datin3-pins-0 {
-		pins {
-			pinmux = <STM32_PINMUX('F', 13, AF6)>; /* DFSDM_DATIN3 */
-		};
-	};
-
-	dfsdm_datin3_sleep_pins_a: dfsdm-datin3-sleep-pins-0 {
-		pins {
-			pinmux = <STM32_PINMUX('F', 13, ANALOG)>; /* DFSDM_DATIN3 */
-		};
-	};
-
 	eth1_rmii_pins_a: eth1-rmii-0 {
 		pins1 {
 			pinmux = <STM32_PINMUX('G', 13, AF11)>, /* ETH_RMII_TXD0 */
-				 <STM32_PINMUX('G', 14, AF11)>, /* ETH_RMII_TXD1 */
-				 <STM32_PINMUX('B', 11, AF11)>, /* ETH_RMII_TX_EN */
-				 <STM32_PINMUX('A', 1, AF11)>, /* ETH_RMII_REF_CLK */
-				 <STM32_PINMUX('A', 2, AF11)>, /* ETH_MDIO */
-				 <STM32_PINMUX('G', 2, AF11)>; /* ETH_MDC */
+				 	 <STM32_PINMUX('G', 14, AF11)>, /* ETH_RMII_TXD1 */
+				 	 <STM32_PINMUX('B', 11, AF11)>, /* ETH_RMII_TX_EN */
+				 	 <STM32_PINMUX('D', 7,  AF10)>, /* ETH_RMII_REF_CLK */
+				 	 <STM32_PINMUX('G', 3,  AF11)>, /* ETH_MDIO */
+				 	 <STM32_PINMUX('G', 2,  AF11)>; /* ETH_MDC */
 			bias-disable;
 			drive-push-pull;
-			slew-rate = <1>;
+			slew-rate = <3>;
 		};
 
 		pins2 {
 			pinmux = <STM32_PINMUX('C', 4, AF11)>, /* ETH_RMII_RXD0 */
-				 <STM32_PINMUX('C', 5, AF11)>, /* ETH_RMII_RXD1 */
-				 <STM32_PINMUX('C', 1, AF10)>; /* ETH_RMII_CRS_DV */
+				 	 <STM32_PINMUX('C', 5, AF11)>, /* ETH_RMII_RXD1 */
+				 	 <STM32_PINMUX('A', 7, AF11)>; /* ETH_RMII_CRS_DV */
 			bias-disable;
 		};
 
@@ -110,63 +31,21 @@
 	eth1_rmii_sleep_pins_a: eth1-rmii-sleep-0 {
 		pins1 {
 			pinmux = <STM32_PINMUX('G', 13, ANALOG)>, /* ETH_RMII_TXD0 */
-				 <STM32_PINMUX('G', 14, ANALOG)>, /* ETH_RMII_TXD1 */
-				 <STM32_PINMUX('B', 11, ANALOG)>, /* ETH_RMII_TX_EN */
-				 <STM32_PINMUX('A', 1, ANALOG)>, /* ETH_RMII_REF_CLK */
-				 <STM32_PINMUX('A', 2, ANALOG)>, /* ETH_MDIO */
-				 <STM32_PINMUX('G', 2, ANALOG)>, /* ETH_MDC */
-				 <STM32_PINMUX('C', 4, ANALOG)>, /* ETH_RMII_RXD0 */
-				 <STM32_PINMUX('C', 5, ANALOG)>, /* ETH_RMII_RXD1 */
-				 <STM32_PINMUX('C', 1, ANALOG)>; /* ETH_RMII_CRS_DV */
-		};
-	};
-
-	eth2_rmii_pins_a: eth2-rmii-0 {
-		pins1 {
-			pinmux = <STM32_PINMUX('F', 7, AF11)>, /* ETH_RMII_TXD0 */
-				 <STM32_PINMUX('G', 11, AF10)>, /* ETH_RMII_TXD1 */
-				 <STM32_PINMUX('G', 8, AF13)>, /* ETH_RMII_ETHCK */
-				 <STM32_PINMUX('F', 6, AF11)>, /* ETH_RMII_TX_EN */
-				 <STM32_PINMUX('B', 2, AF11)>, /* ETH_MDIO */
-				 <STM32_PINMUX('G', 5, AF10)>; /* ETH_MDC */
-			bias-disable;
-			drive-push-pull;
-			slew-rate = <1>;
-		};
-
-		pins2 {
-			pinmux = <STM32_PINMUX('F', 4, AF11)>, /* ETH_RMII_RXD0 */
-				 <STM32_PINMUX('E', 2, AF10)>, /* ETH_RMII_RXD1 */
-				 <STM32_PINMUX('A', 12, AF11)>; /* ETH_RMII_CRS_DV */
-			bias-disable;
-		};
-	};
-
-	eth2_rmii_sleep_pins_a: eth2-rmii-sleep-0 {
-		pins1 {
-			pinmux = <STM32_PINMUX('F', 7, ANALOG)>, /* ETH_RMII_TXD0 */
-				 <STM32_PINMUX('G', 11, ANALOG)>, /* ETH_RMII_TXD1 */
-				 <STM32_PINMUX('G', 8, ANALOG)>, /* ETH_RMII_ETHCK */
-				 <STM32_PINMUX('F', 6, ANALOG)>, /* ETH_RMII_TX_EN */
-				 <STM32_PINMUX('B', 2, ANALOG)>, /* ETH_MDIO */
-				 <STM32_PINMUX('G', 5, ANALOG)>, /* ETH_MDC */
-				 <STM32_PINMUX('F', 4, ANALOG)>, /* ETH_RMII_RXD0 */
-				 <STM32_PINMUX('E', 2, ANALOG)>, /* ETH_RMII_RXD1 */
-				 <STM32_PINMUX('A', 12, ANALOG)>; /* ETH_RMII_CRS_DV */
-		};
-	};
-
-	goodix_pins_a: goodix-0 {
-		pins {
-			pinmux = <STM32_PINMUX('F', 5, GPIO)>;
-			bias-pull-down;
+				     <STM32_PINMUX('G', 14, ANALOG)>, /* ETH_RMII_TXD1 */
+				     <STM32_PINMUX('B', 11, ANALOG)>, /* ETH_RMII_TX_EN */
+				     <STM32_PINMUX('D', 7,  ANALOG)>, /* ETH_RMII_REF_CLK */
+				     <STM32_PINMUX('G', 3,  ANALOG)>, /* ETH_MDIO */
+				     <STM32_PINMUX('G', 2,  ANALOG)>, /* ETH_MDC */
+				     <STM32_PINMUX('C', 4,  ANALOG)>, /* ETH_RMII_RXD0 */
+				     <STM32_PINMUX('C', 5,  ANALOG)>, /* ETH_RMII_RXD1 */
+				     <STM32_PINMUX('A', 7,  ANALOG)>; /* ETH_RMII_CRS_DV */
 		};
 	};
 
 	i2c1_pins_a: i2c1-0 {
 		pins {
-			pinmux = <STM32_PINMUX('D', 12, AF5)>, /* I2C1_SCL */
-				 <STM32_PINMUX('E', 8, AF5)>; /* I2C1_SDA */
+			pinmux = <STM32_PINMUX('B', 8, AF5)>, /* I2C1_SCL */
+				 <STM32_PINMUX('D', 3, AF5)>; /* I2C1_SDA */
 			bias-disable;
 			drive-open-drain;
 			slew-rate = <0>;
@@ -175,15 +54,15 @@
 
 	i2c1_sleep_pins_a: i2c1-sleep-0 {
 		pins {
-			pinmux = <STM32_PINMUX('D', 12, ANALOG)>, /* I2C1_SCL */
-				 <STM32_PINMUX('E', 8, ANALOG)>; /* I2C1_SDA */
+			pinmux = <STM32_PINMUX('B', 8, ANALOG)>, /* I2C1_SCL */
+				 <STM32_PINMUX('D', 3, ANALOG)>; /* I2C1_SDA */
 		};
 	};
 
 	i2c5_pins_a: i2c5-0 {
 		pins {
-			pinmux = <STM32_PINMUX('D', 1, AF4)>, /* I2C5_SCL */
-				 <STM32_PINMUX('H', 6, AF4)>; /* I2C5_SDA */
+			pinmux = <STM32_PINMUX('H', 13, AF4)>, /* I2C5_SCL */
+				 <STM32_PINMUX('E', 13, AF4)>; /* I2C5_SDA */
 			bias-disable;
 			drive-open-drain;
 			slew-rate = <0>;
@@ -192,170 +71,19 @@
 
 	i2c5_sleep_pins_a: i2c5-sleep-0 {
 		pins {
-			pinmux = <STM32_PINMUX('D', 1, ANALOG)>, /* I2C5_SCL */
-				 <STM32_PINMUX('H', 6, ANALOG)>; /* I2C5_SDA */
-		};
-	};
-
-	ltdc_pins_a: ltdc-0 {
-		pins {
-			pinmux = <STM32_PINMUX('D',  9, AF13)>, /* LCD_CLK */
-				 <STM32_PINMUX('C',  6, AF14)>, /* LCD_HSYNC */
-				 <STM32_PINMUX('G',  4, AF11)>, /* LCD_VSYNC */
-				 <STM32_PINMUX('H',  9, AF11)>, /* LCD_DE */
-				 <STM32_PINMUX('G',  7, AF14)>, /* LCD_R2 */
-				 <STM32_PINMUX('B', 12, AF13)>, /* LCD_R3 */
-				 <STM32_PINMUX('D', 14, AF14)>, /* LCD_R4 */
-				 <STM32_PINMUX('E',  7, AF14)>, /* LCD_R5 */
-				 <STM32_PINMUX('E', 13, AF14)>, /* LCD_R6 */
-				 <STM32_PINMUX('E',  9, AF14)>, /* LCD_R7 */
-				 <STM32_PINMUX('H', 13, AF14)>, /* LCD_G2 */
-				 <STM32_PINMUX('F',  3, AF14)>, /* LCD_G3 */
-				 <STM32_PINMUX('D',  5, AF14)>, /* LCD_G4 */
-				 <STM32_PINMUX('G',  0, AF14)>, /* LCD_G5 */
-				 <STM32_PINMUX('C',  7, AF14)>, /* LCD_G6 */
-				 <STM32_PINMUX('A', 15, AF11)>, /* LCD_G7 */
-				 <STM32_PINMUX('D', 10, AF14)>, /* LCD_B2 */
-				 <STM32_PINMUX('F',  2, AF14)>, /* LCD_B3 */
-				 <STM32_PINMUX('H', 14, AF11)>, /* LCD_B4 */
-				 <STM32_PINMUX('E',  0, AF14)>, /* LCD_B5 */
-				 <STM32_PINMUX('B',  6, AF7)>,  /* LCD_B6 */
-				 <STM32_PINMUX('F',  1, AF13)>; /* LCD_B7 */
-			bias-disable;
-			drive-push-pull;
-			slew-rate = <0>;
-		};
-	};
-
-	ltdc_sleep_pins_a: ltdc-sleep-0 {
-		pins {
-			pinmux = <STM32_PINMUX('D',  9, ANALOG)>, /* LCD_CLK */
-				 <STM32_PINMUX('C',  6, ANALOG)>, /* LCD_HSYNC */
-				 <STM32_PINMUX('G',  4, ANALOG)>, /* LCD_VSYNC */
-				 <STM32_PINMUX('H',  9, ANALOG)>, /* LCD_DE */
-				 <STM32_PINMUX('G',  7, ANALOG)>, /* LCD_R2 */
-				 <STM32_PINMUX('B', 12, ANALOG)>, /* LCD_R3 */
-				 <STM32_PINMUX('D', 14, ANALOG)>, /* LCD_R4 */
-				 <STM32_PINMUX('E',  7, ANALOG)>, /* LCD_R5 */
-				 <STM32_PINMUX('E', 13, ANALOG)>, /* LCD_R6 */
-				 <STM32_PINMUX('E',  9, ANALOG)>, /* LCD_R7 */
-				 <STM32_PINMUX('H', 13, ANALOG)>, /* LCD_G2 */
-				 <STM32_PINMUX('F',  3, ANALOG)>, /* LCD_G3 */
-				 <STM32_PINMUX('D',  5, ANALOG)>, /* LCD_G4 */
-				 <STM32_PINMUX('G',  0, ANALOG)>, /* LCD_G5 */
-				 <STM32_PINMUX('C',  7, ANALOG)>, /* LCD_G6 */
-				 <STM32_PINMUX('A', 15, ANALOG)>, /* LCD_G7 */
-				 <STM32_PINMUX('D', 10, ANALOG)>, /* LCD_B2 */
-				 <STM32_PINMUX('F',  2, ANALOG)>, /* LCD_B3 */
-				 <STM32_PINMUX('H', 14, ANALOG)>, /* LCD_B4 */
-				 <STM32_PINMUX('E',  0, ANALOG)>, /* LCD_B5 */
-				 <STM32_PINMUX('B',  6, ANALOG)>, /* LCD_B6 */
-				 <STM32_PINMUX('F',  1, ANALOG)>; /* LCD_B7 */
-		};
-	};
-
-	mcp23017_pins_a: mcp23017-0 {
-		pins {
-			pinmux = <STM32_PINMUX('G', 12, GPIO)>;
-			bias-pull-up;
-		};
-	};
-
-	pwm3_pins_a: pwm3-0 {
-		pins {
-			pinmux = <STM32_PINMUX('B', 1, AF2)>; /* TIM3_CH4 */
-			bias-pull-down;
-			drive-push-pull;
-			slew-rate = <0>;
-		};
-	};
-
-	pwm3_sleep_pins_a: pwm3-sleep-0 {
-		pins {
-			pinmux = <STM32_PINMUX('B', 1, ANALOG)>; /* TIM3_CH4 */
-		};
-	};
-
-	pwm4_pins_a: pwm4-0 {
-		pins {
-			pinmux = <STM32_PINMUX('D', 13, AF2)>; /* TIM4_CH2 */
-			bias-pull-down;
-			drive-push-pull;
-			slew-rate = <0>;
-		};
-	};
-
-	pwm4_sleep_pins_a: pwm4-sleep-0 {
-		pins {
-			pinmux = <STM32_PINMUX('D', 13, ANALOG)>; /* TIM4_CH2 */
-		};
-	};
-
-	pwm8_pins_a: pwm8-0 {
-		pins {
-			pinmux = <STM32_PINMUX('E', 5, AF3)>; /* TIM8_CH3 */
-			bias-pull-down;
-			drive-push-pull;
-			slew-rate = <0>;
-		};
-	};
-
-	pwm8_sleep_pins_a: pwm8-sleep-0 {
-		pins {
-			pinmux = <STM32_PINMUX('E', 5, ANALOG)>; /* TIM8_CH3 */
-		};
-	};
-
-	pwm14_pins_a: pwm14-0 {
-		pins {
-			pinmux = <STM32_PINMUX('F', 9, AF9)>; /* TIM14_CH1 */
-			bias-pull-down;
-			drive-push-pull;
-			slew-rate = <0>;
-		};
-	};
-
-	pwm14_sleep_pins_a: pwm14-sleep-0 {
-		pins {
-			pinmux = <STM32_PINMUX('F', 9, ANALOG)>; /* TIM14_CH1 */
-		};
-	};
-
-	rtc_out2_rmp_pins_a: rtc-out2-rmp-pins-0 {
-		pins {
-			pinmux = <STM32_PINMUX('I', 1, ANALOG)>; /* RTC_OUT2_RMP */
-		};
-	};
-
-	sai1_pins_a: sai1-0 {
-		pins {
-			pinmux = <STM32_PINMUX('A', 4, AF12)>, /* SAI1_SCK_A */
-				 <STM32_PINMUX('A', 0, AF6)>, /* SAI1_SD_B */
-				 <STM32_PINMUX('A', 5, AF6)>, /* SAI1_SD_A */
-				 <STM32_PINMUX('F', 11, AF6)>; /* SAI1_FS_A */
-			slew-rate = <0>;
-			drive-push-pull;
-			bias-disable;
-		};
-	};
-
-	sai1_sleep_pins_a: sai1-sleep-0 {
-		pins {
-			pinmux = <STM32_PINMUX('A', 4, ANALOG)>, /* SAI1_SCK_A */
-				 <STM32_PINMUX('A', 0, ANALOG)>, /* SAI1_SD_B */
-				 <STM32_PINMUX('A', 5, ANALOG)>, /* SAI1_SD_A */
-				 <STM32_PINMUX('F', 11, ANALOG)>; /* SAI1_FS_A */
+			pinmux = <STM32_PINMUX('B', 8, ANALOG)>, /* I2C5_SCL */
+				 <STM32_PINMUX('E', 13, ANALOG)>; /* I2C5_SDA */
 		};
 	};
 
 	sdmmc1_b4_pins_a: sdmmc1-b4-0 {
 		pins {
 			pinmux = <STM32_PINMUX('C', 8, AF12)>, /* SDMMC1_D0 */
-				 <STM32_PINMUX('C', 9, AF12)>, /* SDMMC1_D1 */
+				 <STM32_PINMUX('C', 9,  AF12)>, /* SDMMC1_D1 */
 				 <STM32_PINMUX('C', 10, AF12)>, /* SDMMC1_D2 */
 				 <STM32_PINMUX('C', 11, AF12)>, /* SDMMC1_D3 */
-				 <STM32_PINMUX('D', 2, AF12)>; /* SDMMC1_CMD */
-			slew-rate = <1>;
+				 <STM32_PINMUX('D', 2,  AF12)>; /* SDMMC1_CMD */
+			slew-rate = <2>;
 			drive-push-pull;
 			bias-disable;
 		};
@@ -364,16 +92,16 @@
 	sdmmc1_b4_od_pins_a: sdmmc1-b4-od-0 {
 		pins1 {
 			pinmux = <STM32_PINMUX('C', 8, AF12)>, /* SDMMC1_D0 */
-				 <STM32_PINMUX('C', 9, AF12)>, /* SDMMC1_D1 */
+				 <STM32_PINMUX('C', 9,  AF12)>, /* SDMMC1_D1 */
 				 <STM32_PINMUX('C', 10, AF12)>, /* SDMMC1_D2 */
 				 <STM32_PINMUX('C', 11, AF12)>; /* SDMMC1_D3 */
-			slew-rate = <1>;
+			slew-rate = <2>;
 			drive-push-pull;
 			bias-disable;
 		};
 		pins2 {
 			pinmux = <STM32_PINMUX('D', 2, AF12)>; /* SDMMC1_CMD */
-			slew-rate = <1>;
+			slew-rate = <2>;
 			drive-open-drain;
 			bias-disable;
 		};
@@ -382,81 +110,30 @@
 	sdmmc1_b4_sleep_pins_a: sdmmc1-b4-sleep-0 {
 		pins {
 			pinmux = <STM32_PINMUX('C', 8, ANALOG)>, /* SDMMC1_D0 */
-				 <STM32_PINMUX('C', 9, ANALOG)>, /* SDMMC1_D1 */
+				 <STM32_PINMUX('C', 9,  ANALOG)>, /* SDMMC1_D1 */
 				 <STM32_PINMUX('C', 10, ANALOG)>, /* SDMMC1_D2 */
 				 <STM32_PINMUX('C', 11, ANALOG)>, /* SDMMC1_D3 */
 				 <STM32_PINMUX('C', 12, ANALOG)>, /* SDMMC1_CK */
-				 <STM32_PINMUX('D', 2, ANALOG)>; /* SDMMC1_CMD */
+				 <STM32_PINMUX('D', 2,  ANALOG)>; /* SDMMC1_CMD */
 		};
 	};
 
 	sdmmc1_clk_pins_a: sdmmc1-clk-0 {
 		pins {
 			pinmux = <STM32_PINMUX('C', 12, AF12)>; /* SDMMC1_CK */
-			slew-rate = <1>;
+			slew-rate = <3>;
 			drive-push-pull;
 			bias-disable;
 		};
 	};
 
-	sdmmc2_b4_pins_a: sdmmc2-b4-0 {
-		pins {
-			pinmux = <STM32_PINMUX('B', 14, AF10)>, /* SDMMC2_D0 */
-				 <STM32_PINMUX('B', 15, AF10)>, /* SDMMC2_D1 */
-				 <STM32_PINMUX('B', 3, AF10)>, /* SDMMC2_D2 */
-				 <STM32_PINMUX('B', 4, AF10)>, /* SDMMC2_D3 */
-				 <STM32_PINMUX('G', 6, AF10)>; /* SDMMC2_CMD */
-			slew-rate = <1>;
-			drive-push-pull;
-			bias-pull-up;
-		};
-	};
-
-	sdmmc2_b4_od_pins_a: sdmmc2-b4-od-0 {
-		pins1 {
-			pinmux = <STM32_PINMUX('B', 14, AF10)>, /* SDMMC2_D0 */
-				 <STM32_PINMUX('B', 15, AF10)>, /* SDMMC2_D1 */
-				 <STM32_PINMUX('B', 3, AF10)>, /* SDMMC2_D2 */
-				 <STM32_PINMUX('B', 4, AF10)>; /* SDMMC2_D3 */
-			slew-rate = <1>;
-			drive-push-pull;
-			bias-pull-up;
-		};
-		pins2 {
-			pinmux = <STM32_PINMUX('G', 6, AF10)>; /* SDMMC2_CMD */
-			slew-rate = <1>;
-			drive-open-drain;
-			bias-pull-up;
-		};
-	};
-
-	sdmmc2_b4_sleep_pins_a: sdmmc2-b4-sleep-0 {
-		pins {
-			pinmux = <STM32_PINMUX('B', 14, ANALOG)>, /* SDMMC2_D0 */
-				 <STM32_PINMUX('B', 15, ANALOG)>, /* SDMMC2_D1 */
-				 <STM32_PINMUX('B', 3, ANALOG)>, /* SDMMC2_D2 */
-				 <STM32_PINMUX('B', 4, ANALOG)>, /* SDMMC2_D3 */
-				 <STM32_PINMUX('E', 3, ANALOG)>, /* SDMMC2_CK */
-				 <STM32_PINMUX('G', 6, ANALOG)>; /* SDMMC2_CMD */
-		};
-	};
-
-	sdmmc2_clk_pins_a: sdmmc2-clk-0 {
-		pins {
-			pinmux = <STM32_PINMUX('E', 3, AF10)>; /* SDMMC2_CK */
-			slew-rate = <1>;
-			drive-push-pull;
-			bias-pull-up;
-		};
-	};
-
 	spi5_pins_a: spi5-0 {
 		pins1 {
-			pinmux = <STM32_PINMUX('H', 7, AF6)>, /* SPI5_SCK */
+			pinmux = <STM32_PINMUX('H', 3, AF6)>, /* SPI5_SCK */
 				 <STM32_PINMUX('H', 3, AF5)>; /* SPI5_MOSI */
 			bias-disable;
 			drive-push-pull;
-			slew-rate = <1>;
+			slew-rate = <2>;
 		};
 
 		pins2 {
@@ -467,19 +144,12 @@
 
 	spi5_sleep_pins_a: spi5-sleep-0 {
 		pins {
-			pinmux = <STM32_PINMUX('H', 7, ANALOG)>, /* SPI5_SCK */
+			pinmux = <STM32_PINMUX('H', 3, ANALOG)>, /* SPI5_SCK */
 				 <STM32_PINMUX('A', 8, ANALOG)>, /* SPI5_MISO */
 				 <STM32_PINMUX('H', 3, ANALOG)>; /* SPI5_MOSI */
 		};
 	};
 
-	stm32g0_intn_pins_a: stm32g0-intn-0 {
-		pins {
-			pinmux = <STM32_PINMUX('I', 2, GPIO)>;
-			bias-pull-up;
-		};
-	};
-
 	uart4_pins_a: uart4-0 {
 		pins1 {
 			pinmux = <STM32_PINMUX('D', 6, AF8)>; /* UART4_TX */
@@ -509,116 +179,55 @@
 				 <STM32_PINMUX('D', 8, ANALOG)>; /* UART4_RX */
 		};
 	};
-
-	uart8_pins_a: uart8-0 {
-		pins1 {
-			pinmux = <STM32_PINMUX('E', 1, AF8)>; /* UART8_TX */
-			bias-disable;
-			drive-push-pull;
-			slew-rate = <0>;
-		};
-		pins2 {
-			pinmux = <STM32_PINMUX('F', 9, AF8)>; /* UART8_RX */
-			bias-pull-up;
-		};
-	};
-
-	uart8_idle_pins_a: uart8-idle-0 {
-		pins1 {
-			pinmux = <STM32_PINMUX('E', 1, ANALOG)>; /* UART8_TX */
-		};
-		pins2 {
-			pinmux = <STM32_PINMUX('F', 9, AF8)>; /* UART8_RX */
+	
+	qspi_bk1_pins_a: qspi-bk1-0 {
+		pins {
+			pinmux = <STM32_PINMUX('F', 8, AF10)>, /* QSPI_BK1_IO0 */
+				     <STM32_PINMUX('F', 9, AF10)>, /* QSPI_BK1_IO1 */
+				 	 <STM32_PINMUX('F', 6, ANALOG)>,  /* QSPI_BK1_IO2 = AF9 */
+				 	 <STM32_PINMUX('H', 7, ANALOG)>; /* QSPI_BK1_IO3 = AF13 */
 			bias-pull-up;
+			drive-push-pull;
+			slew-rate = <2>;
 		};
 	};
 
-	uart8_sleep_pins_a: uart8-sleep-0 {
+	qspi_bk1_sleep_pins_a: qspi-bk1-sleep-0 {
 		pins {
-			pinmux = <STM32_PINMUX('E', 1, ANALOG)>, /* UART8_TX */
-				 <STM32_PINMUX('F', 9, ANALOG)>; /* UART8_RX */
-		};
-	};
-
-	usart1_pins_a: usart1-0 {
-		pins1 {
-			pinmux = <STM32_PINMUX('C', 0, AF7)>, /* USART1_TX */
-				 <STM32_PINMUX('C', 2, AF7)>; /* USART1_RTS */
-			bias-disable;
-			drive-push-pull;
-			slew-rate = <0>;
-		};
-		pins2 {
-			pinmux = <STM32_PINMUX('B', 0, AF4)>, /* USART1_RX */
-				 <STM32_PINMUX('A', 7, AF7)>; /* USART1_CTS_NSS */
-			bias-pull-up;
+			pinmux = <STM32_PINMUX('F', 8, ANALOG)>, /* QSPI_BK1_IO0 */
+				 	 <STM32_PINMUX('F', 9, ANALOG)>, /* QSPI_BK1_IO1 */
+				 	 <STM32_PINMUX('F', 6, ANALOG)>, /* QSPI_BK1_IO2 */
+				 	 <STM32_PINMUX('H', 7, ANALOG)>; /* QSPI_BK1_IO3 */
 		};
 	};
 
-	usart1_idle_pins_a: usart1-idle-0 {
-		pins1 {
-			pinmux = <STM32_PINMUX('C', 0, ANALOG)>, /* USART1_TX */
-				 <STM32_PINMUX('A', 7, ANALOG)>; /* USART1_CTS_NSS */
-		};
-		pins2 {
-			pinmux = <STM32_PINMUX('C', 2, AF7)>; /* USART1_RTS */
+	qspi_clk_pins_a: qspi-clk-0 {
+		pins {
+			pinmux = <STM32_PINMUX('F', 10, AF9)>; /* QSPI_CLK */
 			bias-disable;
 			drive-push-pull;
-			slew-rate = <0>;
-		};
-		pins3 {
-			pinmux = <STM32_PINMUX('B', 0, AF4)>; /* USART1_RX */
-			bias-pull-up;
+			slew-rate = <3>;
 		};
 	};
 
-	usart1_sleep_pins_a: usart1-sleep-0 {
+	qspi_clk_sleep_pins_a: qspi-clk-sleep-0 {
 		pins {
-			pinmux = <STM32_PINMUX('C', 0, ANALOG)>, /* USART1_TX */
-				 <STM32_PINMUX('C', 2, ANALOG)>, /* USART1_RTS */
-				 <STM32_PINMUX('A', 7, ANALOG)>, /* USART1_CTS_NSS */
-				 <STM32_PINMUX('B', 0, ANALOG)>; /* USART1_RX */
-		};
-	};
-
-	usart2_pins_a: usart2-0 {
-		pins1 {
-			pinmux = <STM32_PINMUX('H', 12, AF1)>, /* USART2_TX */
-				 <STM32_PINMUX('D', 4, AF3)>; /* USART2_RTS */
-			bias-disable;
-			drive-push-pull;
-			slew-rate = <0>;
-		};
-		pins2 {
-			pinmux = <STM32_PINMUX('D', 15, AF1)>, /* USART2_RX */
-				 <STM32_PINMUX('E', 11, AF2)>; /* USART2_CTS_NSS */
-			bias-disable;
+			pinmux = <STM32_PINMUX('F', 10, ANALOG)>; /* QSPI_CLK */
 		};
 	};
 
-	usart2_idle_pins_a: usart2-idle-0 {
-		pins1 {
-			pinmux = <STM32_PINMUX('H', 12, ANALOG)>, /* USART2_TX */
-				 <STM32_PINMUX('E', 11, ANALOG)>; /* USART2_CTS_NSS */
-		};
-		pins2 {
-			pinmux = <STM32_PINMUX('D', 4, AF3)>; /* USART2_RTS */
-			bias-disable;
+	qspi_cs1_pins_a: qspi-cs1-0 {
+		pins {
+			pinmux = <STM32_PINMUX('B', 2, AF9)>; /* QSPI_BK1_NCS */
+			bias-pull-up;
 			drive-push-pull;
-			slew-rate = <0>;
-		};
-		pins3 {
-			pinmux = <STM32_PINMUX('D', 15, AF1)>; /* USART2_RX */
-			bias-disable;
+			slew-rate = <2>;
 		};
 	};
 
-	usart2_sleep_pins_a: usart2-sleep-0 {
+	qspi_cs1_sleep_pins_a: qspi-cs1-sleep-0 {
 		pins {
-			pinmux = <STM32_PINMUX('H', 12, ANALOG)>, /* USART2_TX */
-				 <STM32_PINMUX('D', 4, ANALOG)>, /* USART2_RTS */
-				 <STM32_PINMUX('D', 15, ANALOG)>, /* USART2_RX */
-				 <STM32_PINMUX('E', 11, ANALOG)>; /* USART2_CTS_NSS */
+			pinmux = <STM32_PINMUX('B', 2, ANALOG)>; /* QSPI_BK1_NCS */
 		};
 	};
 };
diff --git a/arch/arm/dts/stm32mp13-u-boot.dtsi b/arch/arm/dts/stm32mp13-u-boot.dtsi
index 517dc3c805..f62ebd41e5 100644
--- a/arch/arm/dts/stm32mp13-u-boot.dtsi
+++ b/arch/arm/dts/stm32mp13-u-boot.dtsi
@@ -92,11 +92,6 @@
 	u-boot,dm-pre-reloc;
 };
 
-/* pre-reloc probe = reserve video frame buffer in video_reserve() */
-&ltdc {
-	u-boot,dm-pre-proper;
-};
-
 &pinctrl {
 	u-boot,dm-pre-reloc;
 };
@@ -125,3 +120,8 @@
 	/* stm32-usbphyc-clk = ck_usbo_48m is a source clock of RCC CCF */
 	u-boot,dm-pre-reloc;
 };
+
+&vdd_usb {
+	/* Required by node &usbphyc */
+	u-boot,dm-pre-reloc;
+};
diff --git a/arch/arm/dts/stm32mp135f-dk-u-boot.dtsi b/arch/arm/dts/stm32mp135f-dk-u-boot.dtsi
index d33bca15af..cbe4eb5608 100644
--- a/arch/arm/dts/stm32mp135f-dk-u-boot.dtsi
+++ b/arch/arm/dts/stm32mp135f-dk-u-boot.dtsi
@@ -14,9 +14,6 @@
 		u-boot,boot-led = "led-blue";
 		u-boot,error-led = "led-red";
 		u-boot,mmc-env-partition = "u-boot-env";
-		st,adc_usb_pd = <&adc1 6>, <&adc1 12>;
-		st,fastboot-gpios = <&gpioa 13 (GPIO_ACTIVE_LOW | GPIO_PULL_UP)>;
-		st,stm32prog-gpios = <&gpioa 14 (GPIO_ACTIVE_LOW | GPIO_PULL_UP)>;
 	};
 
 	leds {
diff --git a/arch/arm/dts/stm32mp135f-dk.dts b/arch/arm/dts/stm32mp135f-dk.dts
index bee689f2ee..f471044aef 100644
--- a/arch/arm/dts/stm32mp135f-dk.dts
+++ b/arch/arm/dts/stm32mp135f-dk.dts
@@ -16,16 +16,12 @@
 #include "stm32mp13-pinctrl.dtsi"
 
 / {
-	model = "STMicroelectronics STM32MP135F-DK Discovery Board";
+	model = "POTATO_PI_M02 (PCB v1.0)";
 	compatible = "st,stm32mp135f-dk", "st,stm32mp135";
 
 	aliases {
 		ethernet0 = &eth1;
-		ethernet1 = &eth2;
 		serial0 = &uart4;
-		serial1 = &usart1;
-		serial2 = &uart8;
-		serial3 = &usart2;
 	};
 
 	chosen {
@@ -33,26 +29,6 @@
 		#address-cells = <1>;
 		#size-cells = <1>;
 		ranges;
-
-		framebuffer {
-			compatible = "simple-framebuffer";
-			clocks = <&rcc LTDC_PX>;
-			status = "disabled";
-		};
-	};
-
-	clocks {
-		clk_ext_camera: clk-ext-camera {
-			#clock-cells = <0>;
-			compatible = "fixed-clock";
-			clock-frequency = <24000000>;
-		};
-
-		clk_mco1: clk-mco1 {
-			#clock-cells = <0>;
-			compatible = "fixed-clock";
-			clock-frequency = <24000000>;
-		};
 	};
 
 	memory@c0000000 {
@@ -71,118 +47,45 @@
 		};
 	};
 
-	gpio-keys {
-		compatible = "gpio-keys";
-
-		user-pa13 {
-			label = "User-PA13";
-			linux,code = <BTN_1>;
-			gpios = <&gpioa 13 (GPIO_ACTIVE_LOW | GPIO_PULL_UP)>;
-		};
-	};
-
 	leds {
 		compatible = "gpio-leds";
 
-		led-blue {
+		led-red {
 			function = LED_FUNCTION_HEARTBEAT;
-			color = <LED_COLOR_ID_BLUE>;
-			gpios = <&gpioa 14 GPIO_ACTIVE_LOW>;
+			color = <LED_COLOR_ID_RED>;
+			gpios = <&gpioa 13 GPIO_ACTIVE_LOW>;
 			linux,default-trigger = "heartbeat";
 			default-state = "off";
 		};
 	};
 
-	panel_backlight: panel-backlight {
-		compatible = "gpio-backlight";
-		gpios = <&gpioe 12 GPIO_ACTIVE_HIGH>;
-		default-on;
-		default-brightness-level = <0>;
-		status = "okay";
-	};
-
-	panel_rgb: panel-rgb {
-		compatible = "rocktech,rk043fn48h", "panel-dpi";
-		enable-gpios = <&gpioi 7 GPIO_ACTIVE_HIGH>;
-		backlight = <&panel_backlight>;
-		power-supply = <&scmi_v3v3_sw>;
-		data-mapping = "bgr666";
-		status = "okay";
-
-		width-mm = <105>;
-		height-mm = <67>;
-
-		port {
-			panel_in_rgb: endpoint {
-				remote-endpoint = <&ltdc_out_rgb>;
-			};
-		};
-
-		panel-timing {
-			clock-frequency = <10000000>;
-			hactive = <480>;
-			vactive = <272>;
-			hsync-len = <52>;
-			hfront-porch = <10>;
-			hback-porch = <10>;
-			vsync-len = <10>;
-			vfront-porch = <10>;
-			vback-porch = <10>;
-			hsync-active = <0>;
-			vsync-active = <0>;
-			de-active = <1>;
-			pixelclk-active = <1>;
-		};
-	};
-
-	v3v3_ao: v3v3-ao {
+	/* SD card LDO +3.3V */
+	vdd_sd: vdd_sd {
 		compatible = "regulator-fixed";
-		regulator-name = "v3v3_ao";
+		regulator-name = "vdd_sd";
 		regulator-min-microvolt = <3300000>;
 		regulator-max-microvolt = <3300000>;
 		regulator-always-on;
 	};
 
-	wake_up {
-		compatible = "gpio-keys";
-		status = "okay";
-
-		button {
-			label = "wake-up";
-			linux,code = <KEY_WAKEUP>;
-			interrupts-extended = <&optee 0>;
-			status = "okay";
-		};
+	/* USB-phy LDO +3.3V */
+	vdd_usb: vdd_usb {
+		compatible = "regulator-fixed";
+		regulator-name = "vdd_usb";
+		regulator-min-microvolt = <3300000>;
+		regulator-max-microvolt = <3300000>;
+		regulator-always-on;
 	};
 
-	wifi_pwrseq: wifi-pwrseq {
-		compatible = "mmc-pwrseq-simple";
-		reset-gpios = <&mcp23017 11 GPIO_ACTIVE_LOW>;
-	};
-};
+	/* USB host/OTG bus SMPS +5.0V */
+	vbus: vbus {
+		compatible = "regulator-fixed";
+		regulator-name = "vbus";
+		regulator-min-microvolt = <5000000>;
+		regulator-max-microvolt = <5000000>;
 
-&adc_1 {
-	pinctrl-names = "default";
-	pinctrl-0 = <&adc1_usb_cc_pins_a>;
-	vdda-supply = <&scmi_vdd_adc>;
-	vref-supply = <&scmi_vdd_adc>;
-	status = "okay";
-	adc1: adc@0 {
-		status = "okay";
-		/*
-		 * Type-C USB_PWR_CC1 & USB_PWR_CC2 on in6 & in12.
-		 * Use at least 5 * RC time, e.g. 5 * (Rp + Rd) * C:
-		 * 5 * (5.1 + 47kOhms) * 5pF => 1.3us.
-		 * Use arbitrary margin here (e.g. 5us).
-		 */
-		channel@6 {
-			reg = <6>;
-			st,min-sample-time-ns = <5000>;
-		};
-		channel@12 {
-			reg = <12>;
-			st,min-sample-time-ns = <5000>;
-		};
+		gpio = <&gpioi 7 GPIO_ACTIVE_HIGH>;
+		enable-active-high;
 	};
 };
 
@@ -199,23 +102,6 @@
 	status = "okay";
 };
 
-&dcmipp {
-	status = "okay";
-	pinctrl-names = "default", "sleep";
-	pinctrl-0 = <&dcmipp_pins_a>;
-	pinctrl-1 = <&dcmipp_sleep_pins_a>;
-	port {
-		dcmipp_0: endpoint {
-			remote-endpoint = <&mipid02_2>;
-			bus-width = <8>;
-			hsync-active = <0>;
-			vsync-active = <0>;
-			pclk-sample = <0>;
-			pclk-max-frequency = <120000000>;
-		};
-	};
-};
-
 &dts {
 	status = "okay";
 };
@@ -228,8 +114,8 @@
 	phy-mode = "rmii";
 	max-speed = <100>;
 	phy-handle = <&phy0_eth1>;
-	nvmem-cells = <&ethernet_mac1_address>;
-	nvmem-cell-names = "mac-address";
+
+	local-mac-address = [00 00 00 00 00 01];
 
 	mdio1 {
 		#address-cells = <1>;
@@ -238,33 +124,9 @@
 
 		phy0_eth1: ethernet-phy@0 {
 			compatible = "ethernet-phy-id0007.c131";
-			reset-gpios =  <&mcp23017 9 GPIO_ACTIVE_LOW>;
-			reg = <0>;
-			wakeup-source;
-		};
-	};
-};
-
-&eth2 {
-	status = "okay";
-	pinctrl-0 = <&eth2_rmii_pins_a>;
-	pinctrl-1 = <&eth2_rmii_sleep_pins_a>;
-	pinctrl-names = "default", "sleep";
-	phy-mode = "rmii";
-	max-speed = <100>;
-	phy-handle = <&phy0_eth2>;
-	st,ext-phyclk;
-	phy-supply = <&scmi_v3v3_sw>;
-	nvmem-cells = <&ethernet_mac2_address>;
-	nvmem-cell-names = "mac-address";
-
-	mdio1 {
-		#address-cells = <1>;
-		#size-cells = <0>;
-		compatible = "snps,dwmac-mdio";
-		phy0_eth2: ethernet-phy@0 {
-			compatible = "ethernet-phy-id0007.c131";
-			reset-gpios = <&mcp23017 10 GPIO_ACTIVE_LOW>;
+			reset-gpios = <&gpiog 12 GPIO_ACTIVE_LOW>;
+			reset-assert-us = <50000>;
+			reset-deassert-us = <50000>;
 			reg = <0>;
 		};
 	};
@@ -274,46 +136,13 @@
 	pinctrl-names = "default", "sleep";
 	pinctrl-0 = <&i2c1_pins_a>;
 	pinctrl-1 = <&i2c1_sleep_pins_a>;
-	i2c-scl-rising-time-ns = <96>;
-	i2c-scl-falling-time-ns = <3>;
-	clock-frequency = <1000000>;
+	i2c-scl-rising-time-ns = <170>;
+	i2c-scl-falling-time-ns = <5>;
+	clock-frequency = <400000>;
 	status = "okay";
 	/* spare dmas for other usage */
 	/delete-property/dmas;
 	/delete-property/dma-names;
-
-	mcp23017: pinctrl@21 {
-		compatible = "microchip,mcp23017";
-		reg = <0x21>;
-		gpio-controller;
-		#gpio-cells = <2>;
-		interrupts = <12 IRQ_TYPE_LEVEL_LOW>;
-		interrupt-parent = <&gpiog>;
-		pinctrl-names = "default";
-		pinctrl-0 = <&mcp23017_pins_a>;
-		interrupt-controller;
-		#interrupt-cells = <2>;
-		microchip,irq-mirror;
-	};
-
-	typec@53 {
-		compatible = "st,stm32g0-typec";
-		reg = <0x53>;
-		/* Alert pin on PI2 (PWR wakeup pin), managed by optee */
-		interrupts-extended = <&optee 1>;
-		firmware-name = "stm32g0-ucsi.mp135f-dk.fw";
-		wakeup-source;
-		connector {
-			compatible = "usb-c-connector";
-			label = "USB-C";
-
-			port {
-				con_usb_c_g0_ep: endpoint {
-					remote-endpoint = <&usbotg_hs_ep>;
-				};
-			};
-		};
-	};
 };
 
 &i2c5 {
@@ -327,151 +156,6 @@
 	/* spare dmas for other usage */
 	/delete-property/dmas;
 	/delete-property/dma-names;
-
-	stmipi: stmipi@14 {
-		compatible = "st,st-mipid02";
-		reg = <0x14>;
-		status = "okay";
-		clocks = <&clk_mco1>;
-		clock-names = "xclk";
-		VDDE-supply = <&scmi_v1v8_periph>;
-		VDDIN-supply = <&scmi_v1v8_periph>;
-		reset-gpios = <&mcp23017 2 (GPIO_ACTIVE_LOW | GPIO_PUSH_PULL)>;
-
-		ports {
-			#address-cells = <1>;
-			#size-cells = <0>;
-			port@0 {
-				reg = <0>;
-
-				mipid02_0: endpoint {
-					data-lanes = <1 2>;
-					lane-polarities = <0 0 0>;
-					remote-endpoint = <&gc2145_ep>;
-				};
-			};
-			port@2 {
-				reg = <2>;
-
-				mipid02_2: endpoint {
-					bus-width = <8>;
-					hsync-active = <0>;
-					vsync-active = <0>;
-					pclk-sample = <0>;
-					remote-endpoint = <&dcmipp_0>;
-				};
-			};
-		};
-	};
-
-	gc2145: gc2145@3c {
-		compatible = "galaxycore,gc2145";
-		reg = <0x3c>;
-		clocks = <&clk_ext_camera>;
-		IOVDD-supply = <&scmi_v3v3_sw>;
-		AVDD-supply = <&scmi_v3v3_sw>;
-		DVDD-supply = <&scmi_v3v3_sw>;
-		powerdown-gpios = <&mcp23017 3 (GPIO_ACTIVE_LOW | GPIO_PUSH_PULL)>;
-		reset-gpios = <&mcp23017 4 (GPIO_ACTIVE_LOW | GPIO_PUSH_PULL)>;
-		status = "okay";
-
-		port {
-			gc2145_ep: endpoint {
-				remote-endpoint = <&mipid02_0>;
-				clock-lanes = <0>;
-				data-lanes = <1 2>;
-			};
-		};
-	};
-
-	ov5640: camera@3c {
-		compatible = "ovti,ov5640";
-		reg = <0x3c>;
-		clocks = <&clk_ext_camera>;
-		clock-names = "xclk";
-		DOVDD-supply = <&scmi_v3v3_sw>;
-		status = "disabled";
-		powerdown-gpios = <&mcp23017 3 (GPIO_ACTIVE_LOW | GPIO_PUSH_PULL)>;
-		reset-gpios = <&mcp23017 4 (GPIO_ACTIVE_LOW | GPIO_PUSH_PULL)>;
-
-		port {
-			ov5640_0: endpoint {
-				/*remote-endpoint = <&mipid02_0>;*/
-				clock-lanes = <0>;
-				data-lanes = <1 2>;
-			};
-		};
-	};
-
-	goodix: goodix-ts@5d {
-		compatible = "goodix,gt911";
-		reg = <0x5d>;
-		pinctrl-names = "default";
-		pinctrl-0 = <&goodix_pins_a>;
-		interrupt-parent = <&gpiof>;
-		interrupts = <5 IRQ_TYPE_EDGE_FALLING>;
-		reset-gpios = <&gpioh 2 GPIO_ACTIVE_LOW>;
-		AVDD28-supply = <&scmi_v3v3_sw>;
-		VDDIO-supply = <&scmi_v3v3_sw>;
-		touchscreen-size-x = <480>;
-		touchscreen-size-y = <272>;
-		status = "okay" ;
-	};
-};
-
-&ltdc {
-	pinctrl-names = "default", "sleep";
-	pinctrl-0 = <&ltdc_pins_a>;
-	pinctrl-1 = <&ltdc_sleep_pins_a>;
-	status = "okay";
-
-	port {
-		ltdc_out_rgb: endpoint {
-			remote-endpoint = <&panel_in_rgb>;
-		};
-	};
-};
-
-&rtc {
-	st,lsco = <RTC_OUT2_RMP>;
-	pinctrl-0 = <&rtc_out2_rmp_pins_a>;
-	pinctrl-names = "default";
-	status = "okay";
-};
-
-&scmi_regu {
-	scmi_vddcpu: voltd-vddcpu {
-		reg = <VOLTD_SCMI_STPMIC1_BUCK1>;
-		regulator-name = "vddcpu";
-	};
-	scmi_vdd: voltd-vdd {
-		reg = <VOLTD_SCMI_STPMIC1_BUCK3>;
-		regulator-name = "vdd";
-	};
-	scmi_vddcore: voltd-vddcore {
-		reg = <VOLTD_SCMI_STPMIC1_BUCK4>;
-		regulator-name = "vddcore";
-	};
-	scmi_vdd_adc: voltd-vdd-adc {
-		reg = <VOLTD_SCMI_STPMIC1_LDO1>;
-		regulator-name = "vdd_adc";
-	};
-	scmi_vdd_usb: voltd-vdd-usb {
-		reg = <VOLTD_SCMI_STPMIC1_LDO4>;
-		regulator-name = "vdd_usb";
-	};
-	scmi_vdd_sd: voltd-vdd-sd {
-		reg = <VOLTD_SCMI_STPMIC1_LDO5>;
-		regulator-name = "vdd_sd";
-	};
-	scmi_v1v8_periph: voltd-v1v8-periph {
-		reg = <VOLTD_SCMI_STPMIC1_LDO6>;
-		regulator-name = "v1v8_periph";
-	};
-	scmi_v3v3_sw: voltd-v3v3-sw {
-		reg = <VOLTD_SCMI_STPMIC1_PWR_SW2>;
-		regulator-name = "v3v3_sw";
-	};
 };
 
 &sdmmc1 {
@@ -479,38 +163,14 @@
 	pinctrl-0 = <&sdmmc1_b4_pins_a &sdmmc1_clk_pins_a>;
 	pinctrl-1 = <&sdmmc1_b4_od_pins_a &sdmmc1_clk_pins_a>;
 	pinctrl-2 = <&sdmmc1_b4_sleep_pins_a>;
-	cd-gpios = <&gpioh 4 (GPIO_ACTIVE_LOW | GPIO_PULL_UP)>;
+	cd-gpios = <&gpiog 6 (GPIO_ACTIVE_LOW | GPIO_PULL_UP)>;
 	disable-wp;
 	st,neg-edge;
 	bus-width = <4>;
-	vmmc-supply = <&scmi_vdd_sd>;
+	vmmc-supply = <&vdd_sd>;
 	status = "okay";
 };
 
-/* Wifi */
-&sdmmc2 {
-	pinctrl-names = "default", "opendrain", "sleep";
-	pinctrl-0 = <&sdmmc2_b4_pins_a &sdmmc2_clk_pins_a>;
-	pinctrl-1 = <&sdmmc2_b4_od_pins_a &sdmmc2_clk_pins_a>;
-	pinctrl-2 = <&sdmmc2_b4_sleep_pins_a>;
-	non-removable;
-	st,neg-edge;
-	bus-width = <4>;
-	vmmc-supply = <&v3v3_ao>;
-	mmc-pwrseq = <&wifi_pwrseq>;
-	#address-cells = <1>;
-	#size-cells = <0>;
-	status = "okay";
-
-	brcmf: bcrmf@1 {
-		reg = <1>;
-		compatible = "brcm,bcm4329-fmac";
-		interrupt-parent = <&gpiof>;
-		interrupts = <0 IRQ_TYPE_LEVEL_HIGH>; /* WL_HOST_WAKE */
-		interrupt-names = "host-wake";
-	};
-};
-
 &spi5 {
 	pinctrl-names = "default", "sleep";
 	pinctrl-0 = <&spi5_pins_a>;
@@ -518,64 +178,6 @@
 	status = "disabled";
 };
 
-&timers3 {
-	/delete-property/dmas;
-	/delete-property/dma-names;
-	status = "disabled";
-	pwm {
-		pinctrl-0 = <&pwm3_pins_a>;
-		pinctrl-1 = <&pwm3_sleep_pins_a>;
-		pinctrl-names = "default", "sleep";
-		status = "okay";
-	};
-	timer@2 {
-		status = "okay";
-	};
-};
-
-&timers4 {
-	/delete-property/dmas;
-	/delete-property/dma-names;
-	status = "disabled";
-	pwm {
-		pinctrl-0 = <&pwm4_pins_a>;
-		pinctrl-1 = <&pwm4_sleep_pins_a>;
-		pinctrl-names = "default", "sleep";
-		status = "okay";
-	};
-	timer@3 {
-		status = "okay";
-	};
-};
-
-&timers8 {
-	/delete-property/dmas;
-	/delete-property/dma-names;
-	status = "disabled";
-	pwm {
-		pinctrl-0 = <&pwm8_pins_a>;
-		pinctrl-1 = <&pwm8_sleep_pins_a>;
-		pinctrl-names = "default", "sleep";
-		status = "okay";
-	};
-	timer@7 {
-		status = "okay";
-	};
-};
-
-&timers14 {
-	status = "disabled";
-	pwm {
-		pinctrl-0 = <&pwm14_pins_a>;
-		pinctrl-1 = <&pwm14_sleep_pins_a>;
-		pinctrl-names = "default", "sleep";
-		status = "okay";
-	};
-	timer@13 {
-		status = "okay";
-	};
-};
-
 &uart4 {
 	pinctrl-names = "default", "sleep", "idle";
 	pinctrl-0 = <&uart4_pins_a>;
@@ -586,53 +188,21 @@
 	status = "okay";
 };
 
-&uart8 {
-	pinctrl-names = "default", "sleep", "idle";
-	pinctrl-0 = <&uart8_pins_a>;
-	pinctrl-1 = <&uart8_sleep_pins_a>;
-	pinctrl-2 = <&uart8_idle_pins_a>;
-	/delete-property/dmas;
-	/delete-property/dma-names;
-	status = "disabled";
-};
-
-&usart1 {
-	pinctrl-names = "default", "sleep", "idle";
-	pinctrl-0 = <&usart1_pins_a>;
-	pinctrl-1 = <&usart1_sleep_pins_a>;
-	pinctrl-2 = <&usart1_idle_pins_a>;
-	uart-has-rtscts;
-	status = "disabled";
-};
-
-/* Bluetooth */
-&usart2 {
-	pinctrl-names = "default", "sleep", "idle";
-	pinctrl-0 = <&usart2_pins_a>;
-	pinctrl-1 = <&usart2_sleep_pins_a>;
-	pinctrl-2 = <&usart2_idle_pins_a>;
-	uart-has-rtscts;
-	status = "okay";
-
-	bluetooth {
-		shutdown-gpios = <&mcp23017 13 GPIO_ACTIVE_HIGH>;
-		compatible = "brcm,bcm43438-bt";
-		max-speed = <3000000>;
-		vbat-supply = <&v3v3_ao>;
-		vddio-supply = <&v3v3_ao>;
-	};
-};
-
 &usbh_ehci {
 	phys = <&usbphyc_port0>;
-	status = "okay";
+	phy-names = "usb1-phy";
+
 	#address-cells = <1>;
 	#size-cells = <0>;
+
+	vbus-supply = <&vbus>;
+	status = "okay";
+
 	/* onboard HUB */
 	hub@1 {
 		compatible = "usb424,2514";
 		reg = <1>;
-		vdd-supply = <&scmi_v3v3_sw>;
+		vdd-supply = <&vdd_usb>;
 	};
 };
 
@@ -640,12 +210,8 @@
 	phys = <&usbphyc_port1 0>;
 	phy-names = "usb2-phy";
 	usb-role-switch;
+	vbus-supply = <&vbus>;
 	status = "okay";
-	port {
-		usbotg_hs_ep: endpoint {
-			remote-endpoint = <&con_usb_c_g0_ep>;
-		};
-	};
 };
 
 &usbphyc {
@@ -653,7 +219,7 @@
 };
 
 &usbphyc_port0 {
-	phy-supply = <&scmi_vdd_usb>;
+	phy-supply = <&vdd_usb>;
 	st,current-boost-microamp = <1000>;
 	st,decrease-hs-slew-rate;
 	st,tune-hs-dc-level = <2>;
@@ -667,7 +233,7 @@
 };
 
 &usbphyc_port1 {
-	phy-supply = <&scmi_vdd_usb>;
+	phy-supply = <&vdd_usb>;
 	st,current-boost-microamp = <1000>;
 	st,decrease-hs-slew-rate;
 	st,tune-hs-dc-level = <2>;
@@ -679,3 +245,26 @@
 	st,no-hs-ftime-ctrl;
 	st,no-lsfs-sc;
 };
+
+&qspi {
+	pinctrl-names = "default", "sleep";
+	pinctrl-0 = <&qspi_clk_pins_a
+		         &qspi_bk1_pins_a
+		         &qspi_cs1_pins_a>;
+	pinctrl-1 = <&qspi_clk_sleep_pins_a
+		         &qspi_bk1_sleep_pins_a
+		         &qspi_cs1_sleep_pins_a>;
+	reg = <0x58003000 0x1000>, <0x70000000 0x4000000>;
+	#address-cells = <1>;
+	#size-cells = <0>;
+	status = "okay";
+
+	flash0: flash@0 {
+		compatible = "jedec,spi-nor";
+		reg = <0>;
+		spi-rx-bus-width = <1>;
+		spi-max-frequency = <20000000>;
+		#address-cells = <1>;
+		#size-cells = <1>;
+	};
+};
diff --git a/drivers/mtd/spi/spi-nor-ids.c b/drivers/mtd/spi/spi-nor-ids.c
index 4fe8b0d92c..c817aad145 100644
--- a/drivers/mtd/spi/spi-nor-ids.c
+++ b/drivers/mtd/spi/spi-nor-ids.c
@@ -312,6 +312,7 @@ const struct flash_info spi_nor_ids[] = {
 	{ INFO("sst25wf040b", 0x621613, 0, 64 * 1024,  8, SECT_4K) },
 	{ INFO("sst25wf040",  0xbf2504, 0, 64 * 1024,  8, SECT_4K | SST_WRITE) },
 	{ INFO("sst25wf080",  0xbf2505, 0, 64 * 1024, 16, SECT_4K | SST_WRITE) },
+	{ INFO("sst26vf032b", 0xbf2642, 0, 64 * 1024, 64, SECT_4K | SPI_NOR_HAS_SST26LOCK | SPI_NOR_DUAL_READ | SPI_NOR_QUAD_READ) },
 	{ INFO("sst26vf064b", 0xbf2643, 0, 64 * 1024, 128, SECT_4K | SPI_NOR_HAS_SST26LOCK | SPI_NOR_DUAL_READ | SPI_NOR_QUAD_READ) },
 	{ INFO("sst26wf016b", 0xbf2641, 0, 64 * 1024,  32, SECT_4K) },
 	{ INFO("sst26wf016",  0xbf2651, 0, 64 * 1024,  32, SECT_4K | SPI_NOR_HAS_SST26LOCK) },
